function OnWarpEnter()
	PlaySound("Sounds/SFX/A_Wind2.ogg",-1)	
	SetMarker("Pi Ramses\\Temple U\\Warp_0015.wp",0,0)
	SetMarker("Pi Ramses\\Maison de Paser\\Warp_0001.wp",0,0)
	--Animation
	if MAYA_BETRAYED or Khaem_on_Countryyard then
		StartAnimationPart("O1U1",0,50,-1,true) --Check guard condition
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "P3T1" then

------------------------------------------------------------
	elseif objectName == "P4T1" then

------------------------------------------------------------
	elseif objectName == "D1T1" then

------------------------------------------------------------
	elseif objectName == "P1T1" then
	end
	if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0015.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Pi Ramses\\Maison de Paser\\Warp_0001.wp" then
		if MAYA_BETRAYED  or Khaem_on_Countryyard then
			DrawText("MAIA1292","MAIA1292.ogg")		
		elseif not PaserDoorOpened_piT_018 then
			PaserDoorOpened_piT_018  = true
			DrawText("MAIA1086","MAIA1086.ogg") --this must be passer's house
		 else
			ChangeWarp(objectName)
		end
       end
end
